Bug 62101 - UI: More intuitive file type limitation for menu 'Insert - File'
Summary: UI: More intuitive file type limitation for menu 'Insert - File'
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:5.0.0
Keywords: difficultyInteresting, easyHack, skillDebug, topicUI
Depends on:
Blocks: Insert-File-Content
  Show dependency treegraph
 
Reported: 2013-03-10 11:46 UTC by Rainer Bielefeld Retired
Modified: 2017-09-22 07:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-03-10 11:46:02 UTC
Draw menu 'Insert -> File ...' allows to insert contents of a drawing file contents from existing .odg (and may be others, I do not know). No other file type will be accepted (see help) The file type selector in Fileopen dialog (LibO and OS) should suggest "Draw Documents" instead of "All Files"

All the rest as in related "Bug 62100 - UI: More intuitive file type limitation for menu 'Insert - File'", and also for Presentation
Comment 1 Rainer Bielefeld Retired 2013-03-10 11:48:51 UTC
Should not be too difficult, but I can't remember a similar context sensitive start suggestion in a file dialog, so difficulty=interesting
Comment 2 Joel Madero 2014-02-27 23:24:58 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 4 Robinson Tryon (qubit) 2015-12-16 00:38:59 UTC Comment hidden (obsolete)